diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 81e4cfe..7697aed 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -52540,11 +52540,12 @@ GraphImage (): Exports == Implementation where
 --R------------------------------- Operations --------------------------------
 --R ?=? : (%,%) -> Boolean                allDegrees : Boolean -> %
 --R checkExtraValues : Boolean -> %       coerce : % -> OutputForm
---R debug : Boolean -> %                  displayAsGF : Boolean -> %
---R functionName : Symbol -> %            hash : % -> SingleInteger
---R indexName : Symbol -> %               latex : % -> String
---R one : Boolean -> %                    safety : NonNegativeInteger -> %
---R variableName : Symbol -> %            ?~=? : (%,%) -> Boolean
+--R debug : Boolean -> %                  displayKind : Symbol -> %
+--R functionName : Symbol -> %            functionNames : List Symbol -> %
+--R hash : % -> SingleInteger             indexName : Symbol -> %
+--R latex : % -> String                   one : Boolean -> %
+--R safety : NonNegativeInteger -> %      variableName : Symbol -> %
+--R ?~=? : (%,%) -> Boolean              
 --R Somos : Union(PositiveInteger,Boolean) -> %
 --R check : Union(skip,MonteCarlo,deterministic) -> %
 --R homogeneous : Union(PositiveInteger,Boolean) -> %
@@ -52585,22 +52586,23 @@ o )show GuessOption
 \cross{GOPT}{checkExtraValues} &
 \cross{GOPT}{coerce} &
 \cross{GOPT}{debug} &
-\cross{GOPT}{displayAsGF} &
+\cross{GOPT}{displayKind} &
 \cross{GOPT}{functionName} \\
+\cross{GOPT}{functionNames} &
 \cross{GOPT}{hash} &
 \cross{GOPT}{homogeneous} &
 \cross{GOPT}{indexName} &
-\cross{GOPT}{latex} &
-\cross{GOPT}{maxDegree} \\
+\cross{GOPT}{latex} \\
+\cross{GOPT}{maxDegree} &
 \cross{GOPT}{maxDerivative} &
 \cross{GOPT}{maxLevel} &
 \cross{GOPT}{maxMixedDegree} &
-\cross{GOPT}{maxPower} &
-\cross{GOPT}{maxShift} \\
+\cross{GOPT}{maxPower} \\
+\cross{GOPT}{maxShift} &
 \cross{GOPT}{maxSubst} &
 \cross{GOPT}{one} &
 \cross{GOPT}{option} &
-\cross{GOPT}{safety} &
+\cross{GOPT}{safety} 
 \cross{GOPT}{variableName} 
 \end{tabular}
 
@@ -52608,7 +52610,7 @@ o )show GuessOption
 )abbrev domain GOPT GuessOption
 ++ Author: Martin Rubey
 ++ Description: GuessOption is a domain whose elements are various options used
-++ by \spadtype{Guess}.
+++ by Guess.
 GuessOption(): Exports == Implementation where
 
   Exports == SetCategory with
@@ -52704,6 +52706,11 @@ GuessOption(): Exports == Implementation where
       ++ algebraic differential equation or recurrence. This option is
       ++ expressed in the form \spad{functionName == d}.
 
+    functionNames: List(Symbol) -> %
+      ++ functionNames(d) specifies the names for the function in
+      ++ algebraic dependence. This option is
+      ++ expressed in the form \spad{functionNames == d}.
+
     variableName: Symbol -> %
       ++ variableName(d) specifies the variable used in by the algebraic
       ++ differential equation. This option is expressed in the form
@@ -52713,10 +52720,10 @@ GuessOption(): Exports == Implementation where
       ++ indexName(d) specifies the index variable used for the formulas. This
       ++ option is expressed in the form \spad{indexName == d}.
 
-    displayAsGF: Boolean -> %
-      ++ displayAsGF(d) specifies whether the result is a generating function
-      ++ or a recurrence. This option should not be set by the user, but rather
-      ++ by the HP-specification.
+    displayKind: Symbol -> %
+      ++ displayKind(d) specifies kind of the result: generating function,
+      ++ recurrence or equation. This option should not be set by the
+      ++ user, but rather by the HP-specification.
 
     option : (List %, Symbol) -> Union(Any, "failed")
       ++ option(l, option) returns which options are given.
@@ -52751,9 +52758,11 @@ GuessOption(): Exports == Implementation where
     checkExtraValues d == ['checkExtraValues, d::Any]
     one d              == ['one,              d::Any]
     functionName d     == ['functionName,     d::Any]
+    functionNames d ==
+        ['functionNames, coerce(d)$AnyFunctions1(List(Symbol))]
     variableName d     == ['variableName,     d::Any]
     indexName d        == ['indexName,        d::Any]
-    displayAsGF d      == ['displayAsGF,      d::Any]
+    displayKind d      == ['displayKind,      d::Any]
 
     coerce(x:%):OutputForm == x.keyword::OutputForm = x.value::OutputForm
     x:% = y:%              == x.keyword = y.keyword and x.value = y.value
diff --git a/changelog b/changelog
index 6d31c86..2192798 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20110911 mxr src/axiom-website/patches.html 20110911.02.mxr.patch
+20110911 mxr books/bookvol10.3 upgrade GOPT
 20110911 tpd src/axiom-website/patches.html 20110911.01.tpd.patch
 20110911 tpd src/share/algebra/users.daase/index.kaf add BSD
 20110911 tpd src/share/algebra/operation.daase add BSD
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0604d91..62572a6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3618,5 +3618,7 @@ books/bookvol5 treeshake interpreter<br/>
 books/bookvol10.3 add BasicStochasticDifferential domain, Wilfrid Kendall<br/>
 <a href="patches/20110911.01.tpd.patch">20110911.01.tpd.patch</a>
 books/bookvol10.3 add StochasticDifferential<br/>
+<a href="patches/20110911.02.mxr.patch">20110911.02.mxr.patch</a>
+books/bookvol10.3 upgrade GOPT<br/>
  </body>
 </html>
